#property copyright "cameofx"
#property link      "cameofx@gmail.com"

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 100

#property indicator_buffers 1
#property indicator_color1 ForestGreen

extern int LevelQty = 3;
extern string LevelValString = "20.00/55.25/80.00";
// keep in mind you have to match LevelQty input with the quantity of LevelValString you specified
// and you have to use the required XX.XX format for LevelValString input. 
// the dot "." and "/" must also be correct. 
// otherwise you can modify the code accordingly

double LevelValue[]; double Stoch[];

int init()
  {
   ArrayResize(LevelValue,LevelQty);
   int h, curpos=0; 
   int LevelIndex=0;
   string LevelLabel = " ";
   
      for(int g=0; g<=31; g++) // resetting all levels
      {
         SetLevelValue(g, 0.0);
         SetLevelStyle(STYLE_DOT,1,CLR_NONE);
      }
   
      while(LevelIndex < LevelQty) // filling level array
      {
         if(LevelIndex==0)
         {
            LevelValue[LevelIndex]= StrToDouble( StringSubstr( LevelValString, 0, 5) );
            LevelLabel = StringConcatenate(LevelLabel,DoubleToStr(LevelValue[LevelIndex],2)," ");
         }
         else 
         {
            curpos = (StringFind( LevelValString,"/",curpos ))+1; 

            LevelValue[LevelIndex]= StrToDouble( StringSubstr( LevelValString, curpos, 5) );
            LevelLabel = StringConcatenate(LevelLabel,DoubleToStr(LevelValue[LevelIndex],2)," ");
         }
         curpos++; LevelIndex++;
      }
      
      for(int i=0;i<=LevelQty;i++) // drawing levels
      {
         double Value = LevelValue[i];
         SetLevelValue(i, Value);
         SetLevelStyle(STYLE_DOT,1,Gray);
      }
   
   IndicatorShortName(StringConcatenate("Auto_Level_Stoch (", LevelLabel ,")"));
   
   SetIndexBuffer(0,Stoch);
   SetIndexStyle (0,DRAW_LINE);
   
   return(0);
  }

int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   
   for(int i=limit; i>=0; i--)
   { 
      Stoch[i] = iStochastic(NULL,0,5,3,3,MODE_SMA,0,MODE_MAIN,i);
   }

   return(0);
  }
//+------------------------------------------------------------------+